> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a workflow

> Returns details of a specific workflow including its step definitions.



## OpenAPI

````yaml https://api.strait.dev/reference/openapi.json get /v1/workflows/{workflowID}
openapi: 3.1.0
info:
  description: >-
    Production-grade job orchestration platform for background jobs, workflows,
    and managed execution.
  title: Strait API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.strait.dev
security: []
paths:
  /v1/workflows/{workflowID}:
    get:
      tags:
        - Workflows
      summary: Get a workflow
      description: Returns details of a specific workflow including its step definitions.
      operationId: get-workflow
      parameters:
        - in: path
          name: workflowID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowResponse'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    WorkflowResponse:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/WorkflowResponse.json
          format: uri
          readOnly: true
          type: string
        backwards_compatible:
          type: boolean
        created_at:
          format: date-time
          type: string
        created_by:
          type: string
        cron:
          type: string
        cron_timezone:
          type: string
        description:
          type: string
        enabled:
          type: boolean
        id:
          type: string
        max_concurrent_runs:
          format: int64
          type: integer
        max_parallel_steps:
          format: int64
          type: integer
        name:
          type: string
        project_id:
          type: string
        skip_if_running:
          type: boolean
        slug:
          type: string
        steps:
          items:
            $ref: '#/components/schemas/WorkflowStep'
          type:
            - array
            - 'null'
        tags:
          additionalProperties:
            type: string
          type: object
        timeout_secs:
          format: int64
          type: integer
        updated_at:
          format: date-time
          type: string
        updated_by:
          type: string
        version:
          format: int64
          type: integer
        version_id:
          type: string
        version_policy:
          type: string
      required:
        - steps
        - id
        - project_id
        - name
        - slug
        - enabled
        - version
        - created_at
        - updated_at
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    WorkflowStep:
      additionalProperties: false
      properties:
        approval_approvers:
          items:
            type: string
          type:
            - array
            - 'null'
        approval_timeout_secs:
          format: int64
          type: integer
        compensation_job_id:
          type: string
        compensation_timeout_secs:
          format: int64
          type: integer
        concurrency_key:
          type: string
        condition: {}
        cost_gate_default_action:
          type: string
        cost_gate_threshold_microusd:
          format: int64
          type: integer
        cost_gate_timeout_secs:
          format: int64
          type: integer
        created_at:
          format: date-time
          type: string
        depends_on:
          items:
            type: string
          type:
            - array
            - 'null'
        event_emit_key:
          type: string
        event_key:
          type: string
        event_notify_url:
          type: string
        event_timeout_secs:
          format: int64
          type: integer
        expected_duration_secs:
          format: int64
          type: integer
        id:
          type: string
        job_id:
          type: string
        max_nesting_depth:
          format: int64
          type: integer
        on_failure:
          type: string
        output_transform:
          type: string
        payload: {}
        resource_class:
          type: string
        retry_backoff:
          type: string
        retry_initial_delay_secs:
          format: int64
          type: integer
        retry_max_attempts:
          format: int64
          type: integer
        retry_max_delay_secs:
          format: int64
          type: integer
        sleep_duration_secs:
          format: int64
          type: integer
        stage_notifications: {}
        step_ref:
          type: string
        step_type:
          type: string
        sub_workflow_id:
          type: string
        timeout_secs_override:
          format: int64
          type: integer
        workflow_id:
          type: string
      required:
        - id
        - workflow_id
        - step_ref
        - depends_on
        - on_failure
        - created_at
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: strait_...
      description: API key passed as Bearer token
      scheme: bearer
      type: http

````